Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1642927 - open in tilix is not working
Summary: open in tilix is not working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus-python
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Patrick Dignan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1643523 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-25 10:25 UTC by RudraB
Modified: 2018-11-08 14:32 UTC (History)
5 users (show)

Fixed In Version: nautilus-python-1.2.2-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-08 03:16:19 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1636626 0 unspecified CLOSED Soname mismatch breaking nautilus-python initialization 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1645731 0 unspecified CLOSED open in tilix is not working: revisited 2021-02-22 00:41:40 UTC

Internal Links: 1636626 1645730 1645731

Description RudraB 2018-10-25 10:25:38 UTC
Description of problem:
Though tilix has a known dependency problem, until f28, open in nautilus was working after installing python2-gobject. 
if f29, its not working at all.

Version-Release number of selected component (if applicable):
tilix-1.8.3-2.fc29.x86_64
tilix-nautilus-1.8.3-2.fc29.x86_64
nautilus-3.30.2-1.fc29.x86_64

How reproducible:
Always

Steps to Reproduce:
1. open nautilus
2. right click inside any folder
3.

Actual results:
"Open in tilix" is not there

Expected results:
there should be "open in tilix"

Additional info:

Comment 1 Kalev Lember 2018-10-29 09:52:00 UTC
*** Bug 1643523 has been marked as a duplicate of this bug. ***

Comment 2 Kalev Lember 2018-10-29 10:02:17 UTC
This looks like a different issue than the F28 dependency problem (which was fixed a while back in https://bodhi.fedoraproject.org/updates/FEDORA-2018-a56b201b44)

Looks like F29 nautilus-python is just broken. When running nautilus on the command line, I get:

$ nautilus

Nautilus-Python-WARNING **: 10:54:50.301: g_module_open libpython failed: /usr/lib64/libpython3.7.so.1.0: cannot open shared object file: No such file or directory
ImportError: could not import gobject (error was: ImportError('/usr/lib64/python3.7/site-packages/gi/_gi.cpython-37m-x86_64-linux-gnu.so: undefined symbol: PyExc_NotImplementedError'))

Nautilus-Python-WARNING **: 10:54:50.323: pygobject initialization failed

Nautilus-Python-WARNING **: 10:54:50.323: nautilus_python_init_python failed
Traceback (most recent call last):
  File "/usr/share/nautilus-python/extensions/open-tilix.py", line 15, in <module>
    from gi import require_version
  File "/usr/lib64/python3.7/site-packages/gi/__init__.py", line 42, in <module>
    from . import _gi
ImportError: /usr/lib64/python3.7/site-packages/gi/_gi.cpython-37m-x86_64-linux-gnu.so: undefined symbol: PyExc_NotImplementedError


Downgrading from F29 python2-nautilus-1.2.1-3.fc29.x86_64.rpm to python2-nautilus-1.1-15.fc28.x86_64.rpm from F28 makes tilix-nautilus correctly work again. Reassigning to nautilus-python.

Comment 3 Raphael Groner 2018-10-29 21:27:36 UTC
Might be related to bug #1636626.

Comment 4 Fedora Update System 2018-10-31 21:34:05 UTC
nautilus-python-1.2.1-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-068061b361

Comment 5 Fedora Update System 2018-11-01 15:40:58 UTC
nautilus-python-1.2.1-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-068061b361

Comment 6 Héctor Louzao 2018-11-02 12:08:04 UTC
updated from testing

sys:1: Warning: Two different plugins tried to register 'OpenTilixExtension+NautilusPython'.
sys:1: Warning: g_type_add_interface_dynamic: assertion 'G_TYPE_IS_INSTANTIATABLE (instance_type)' failed
sys:1: Warning: Two different plugins tried to register 'OpenTilixShortcutProvider+NautilusPython'.

segmentation fault (core dumped)  nautilus

regards.,

Comment 7 Héctor Louzao 2018-11-02 12:25:08 UTC
please execute 

sudo dnf remove tilix-nautilus

and segmentation fault gone and open normally

but still missing open terminal in tilix

explanation 

maybe nautilus-extension include now tilix-nautilus

Regards.,

Comment 8 RudraB 2018-11-02 13:09:50 UTC
I have updates tilix-nautilus from testing repo, and still there is no "Open in Nautilus"

with:
rpm -q tilix-nautilus
tilix-nautilus-1.8.3-2.fc29.x86_64
rpm -q python2-nautilus
python2-nautilus-1.2.1-4.fc29.x86_64
rpm -q python2-gobject-base 
python2-gobject-base-3.30.1-1.fc29.x86_64

I am able to reproduce Hector's problem:
sys:1: Warning: Two different plugins tried to register 'OpenTilixExtension+NautilusPython'.
sys:1: Warning: g_type_add_interface_dynamic: assertion 'G_TYPE_IS_INSTANTIATABLE (instance_type)' failed
sys:1: Warning: Two different plugins tried to register 'OpenTilixShortcutProvider+NautilusPython'.

Comment 9 Raphael Groner 2018-11-02 19:26:42 UTC
(In reply to Héctor Louzao from comment #7)
…
> maybe nautilus-extension include now tilix-nautilus

Please try to open another bug and request to retire tilix.

Comment 10 Raphael Groner 2018-11-02 19:27:33 UTC
(In reply to RudraB from comment #8)
> I have updates tilix-nautilus from testing repo, and still there is no "Open
> in Nautilus"

Same hint here. Please try to open another bug against tilix. I packaged what upstream provides.

Comment 11 RudraB 2018-11-03 04:21:02 UTC
Raphael: check #1645731

Comment 12 Fedora Update System 2018-11-06 12:15:42 UTC
nautilus-python-1.2.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c01870c2fd

Comment 13 Fedora Update System 2018-11-07 04:13:21 UTC
nautilus-python-1.2.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c01870c2fd

Comment 14 Fedora Update System 2018-11-08 03:16:19 UTC
nautilus-python-1.2.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Gergely Gombos 2018-11-08 14:32:05 UTC
Works great!


Note You need to log in before you can comment on or make changes to this bug.